# $Header: /cvs/stx/stx/libbasic3/Make.spec,v 1.80 2012/07/31 13:30:56 vrany Exp $
#
# DO NOT EDIT
# automagically generated from the projectDefinition: stx_libbasic3.
#
# Warning: once you modify this file, do not rerun
# stmkmp or projectDefinition-build again - otherwise, your changes are lost.
#
# This file contains specifications which are common to all platforms.
#

# Do NOT CHANGE THESE DEFINITIONS
# (otherwise, ST/X will have a hard time to find out the packages location from its packageID,
#  to find the source code of a class and to find the library for a package)
MODULE=stx
MODULE_DIR=libbasic3
PACKAGE=$(MODULE):$(MODULE_DIR)


# Argument(s) to the stc compiler (stc --usage).
#  -headerDir=. : create header files locally
#                (if removed, they will be created as common
#  -Pxxx       : defines the package
#  -Zxxx       : a prefix for variables within the classLib
#  -Dxxx       : defines passed to to CC for inline C-code
#  -Ixxx       : include path passed to CC for inline C-code
#  +optspace   : optimized for space
#  +optspace2  : optimized more for space
#  +optspace3  : optimized even more for space
#  +optinline  : generate inline code for some ST constructs
#  +inlineNew  : additionally inline new
#  +inlineMath : additionally inline some floatPnt math stuff
#
# ********** OPTIONAL: MODIFY the next line(s) ***
# STCLOCALOPTIMIZATIONS=+optinline +inlineNew
# STCLOCALOPTIMIZATIONS=+optspace3
STCLOCALOPTIMIZATIONS=+optspace3


# Argument(s) to the stc compiler (stc --usage).
#  -warn            : no warnings
#  -warnNonStandard : no warnings about ST/X extensions
#  -warnEOLComments : no warnings about EOL comment extension
#  -warnPrivacy     : no warnings about privateClass extension
#
# ********** OPTIONAL: MODIFY the next line(s) ***
# STCWARNINGS=-warn
# STCWARNINGS=-warnNonStandard
# STCWARNINGS=-warnEOLComments
STCWARNINGS=-warnNonStandard

COMMON_CLASSES= \
	AbstractSourceCodeManager \
	CallChain \
	Change \
	ChangeSet \
	ClassOrganizer \
	HTMLDocGenerator \
	HistoryManager \
	MessageTally \
	MessageTracer \
	MethodFinder \
	ProfileTree \
	SourceCodeManagerError \
	SourceCodeManagerUtilities \
	SystemOrganizer \
	VersionInfo \
	WrappedMethod \
	stx_libbasic3 \
	CVSSourceCodeManager \
	CVSVersionInfo \
	ClassChange \
	CompositeChange \
	DoItChange \
	FileInChange \
	NameSpaceCreationChange \
	OtherChange \
	StoreSourceCodeManager \
	ClassCategoryChange \
	ClassClassVariableChange \
	ClassCommentChange \
	ClassDefinitionChange \
	ClassInstVarDefinitionChange \
	ClassOtherChange \
	ClassPrimitiveChange \
	ClassRemoveChange \
	ClassRenameChange \
	MethodCategoryRenameChange \
	MethodChange \
	TimestampChange \
	ClassPrimitiveDefinitionsChange \
	ClassPrimitiveFunctionsChange \
	ClassPrimitiveVariablesChange \
	MethodCategoryChange \
	MethodDefinitionChange \
	MethodPackageChange \
	MethodPrivacyChange \
	MethodRemoveChange \
	ChangeNotificationParameter \
	MethodChangeNotificationParameter \
	MethodRemoveChangeNotificationParameter \
	MethodCategoryChangeNotificationParameter \
	MethodTrapChangeNotificationParameter \
	TraceBuffer \
	PerforceSourceCodeManager \
	ChangeSetDiffComponent \
	ChangeSetDiff \
	ChangeSetDiffSet \
	ChangeSetDiffEntry \
	ChangeDeltaInformation \
	SVNVersionInfo \
	SourceCodeCache \
	FileBasedSourceCodeManager \
	DataBaseSourceCodeManager \
	ProjectChecker \
	MercurialSourceCodeManager \
	InvalidChange \
	InfoChange \
	GitSourceCodeManager \
	ProjectProblem \
	SourceCodeManagerUtilitiesForContainerBasedManagers \
	SourceCodeManagerUtilitiesForWorkspaceBasedManagers \




COMMON_OBJS= \
    $(OUTDIR)AbstractSourceCodeManager.$(O) \
    $(OUTDIR)CallChain.$(O) \
    $(OUTDIR)Change.$(O) \
    $(OUTDIR)ChangeSet.$(O) \
    $(OUTDIR)ClassOrganizer.$(O) \
    $(OUTDIR)HTMLDocGenerator.$(O) \
    $(OUTDIR)HistoryManager.$(O) \
    $(OUTDIR)MessageTally.$(O) \
    $(OUTDIR)MessageTracer.$(O) \
    $(OUTDIR)MethodFinder.$(O) \
    $(OUTDIR)ProfileTree.$(O) \
    $(OUTDIR)SourceCodeManagerError.$(O) \
    $(OUTDIR)SourceCodeManagerUtilities.$(O) \
    $(OUTDIR)SystemOrganizer.$(O) \
    $(OUTDIR)VersionInfo.$(O) \
    $(OUTDIR)WrappedMethod.$(O) \
    $(OUTDIR)stx_libbasic3.$(O) \
    $(OUTDIR)CVSSourceCodeManager.$(O) \
    $(OUTDIR)CVSVersionInfo.$(O) \
    $(OUTDIR)ClassChange.$(O) \
    $(OUTDIR)CompositeChange.$(O) \
    $(OUTDIR)DoItChange.$(O) \
    $(OUTDIR)FileInChange.$(O) \
    $(OUTDIR)NameSpaceCreationChange.$(O) \
    $(OUTDIR)OtherChange.$(O) \
    $(OUTDIR)StoreSourceCodeManager.$(O) \
    $(OUTDIR)ClassCategoryChange.$(O) \
    $(OUTDIR)ClassClassVariableChange.$(O) \
    $(OUTDIR)ClassCommentChange.$(O) \
    $(OUTDIR)ClassDefinitionChange.$(O) \
    $(OUTDIR)ClassInstVarDefinitionChange.$(O) \
    $(OUTDIR)ClassOtherChange.$(O) \
    $(OUTDIR)ClassPrimitiveChange.$(O) \
    $(OUTDIR)ClassRemoveChange.$(O) \
    $(OUTDIR)ClassRenameChange.$(O) \
    $(OUTDIR)MethodCategoryRenameChange.$(O) \
    $(OUTDIR)MethodChange.$(O) \
    $(OUTDIR)TimestampChange.$(O) \
    $(OUTDIR)ClassPrimitiveDefinitionsChange.$(O) \
    $(OUTDIR)ClassPrimitiveFunctionsChange.$(O) \
    $(OUTDIR)ClassPrimitiveVariablesChange.$(O) \
    $(OUTDIR)MethodCategoryChange.$(O) \
    $(OUTDIR)MethodDefinitionChange.$(O) \
    $(OUTDIR)MethodPackageChange.$(O) \
    $(OUTDIR)MethodPrivacyChange.$(O) \
    $(OUTDIR)MethodRemoveChange.$(O) \
    $(OUTDIR)ChangeNotificationParameter.$(O) \
    $(OUTDIR)MethodChangeNotificationParameter.$(O) \
    $(OUTDIR)MethodRemoveChangeNotificationParameter.$(O) \
    $(OUTDIR)MethodCategoryChangeNotificationParameter.$(O) \
    $(OUTDIR)MethodTrapChangeNotificationParameter.$(O) \
    $(OUTDIR)TraceBuffer.$(O) \
    $(OUTDIR)PerforceSourceCodeManager.$(O) \
    $(OUTDIR)ChangeSetDiffComponent.$(O) \
    $(OUTDIR)ChangeSetDiff.$(O) \
    $(OUTDIR)ChangeSetDiffSet.$(O) \
    $(OUTDIR)ChangeSetDiffEntry.$(O) \
    $(OUTDIR)ChangeDeltaInformation.$(O) \
    $(OUTDIR)SVNVersionInfo.$(O) \
    $(OUTDIR)SourceCodeCache.$(O) \
    $(OUTDIR)FileBasedSourceCodeManager.$(O) \
    $(OUTDIR)DataBaseSourceCodeManager.$(O) \
    $(OUTDIR)ProjectChecker.$(O) \
    $(OUTDIR)MercurialSourceCodeManager.$(O) \
    $(OUTDIR)InvalidChange.$(O) \
    $(OUTDIR)InfoChange.$(O) \
    $(OUTDIR)GitSourceCodeManager.$(O) \
    $(OUTDIR)ProjectProblem.$(O) \
    $(OUTDIR)SourceCodeManagerUtilitiesForContainerBasedManagers.$(O) \
    $(OUTDIR)SourceCodeManagerUtilitiesForWorkspaceBasedManagers.$(O) \
    $(OUTDIR)extensions.$(O) \



